# modules/uip_task_standard/dhcpc.h File Reference

`#include "pt.h"`
`#include "timer.h"`

## Data Structures
struct | dhcpc_state
## Defines
#define | BOOTP_BROADCAST 0x8000
#define | DHCP_REQUEST 1
#define | DHCP_REPLY 2
#define | DHCP_HTYPE_ETHERNET 1
#define | DHCP_HLEN_ETHERNET 6
#define | DHCP_MSG_LEN 236
#define | DHCPC_SERVER_PORT 67
#define | DHCPC_CLIENT_PORT 68
#define | DHCPDISCOVER 1
#define | DHCPOFFER 2
#define | DHCPREQUEST 3
#define | DHCPDECLINE 4
#define | DHCPACK 5
#define | DHCPNAK 6
#define | DHCPRELEASE 7
#define | DHCP_OPTION_SUBNET_MASK 1
#define | DHCP_OPTION_ROUTER 3
#define | DHCP_OPTION_DNS_SERVER 6
#define | DHCP_OPTION_REQ_IPADDR 50
#define | DHCP_OPTION_LEASE_TIME 51
#define | DHCP_OPTION_MSG_TYPE 53
#define | DHCP_OPTION_SERVER_ID 54
#define | DHCP_OPTION_REQ_LIST 55
#define | DHCP_OPTION_END 255
## Typedefs
typedef struct dhcpc_state | uip_udp_appstate_t
## Functions
void | dhcpc_init (const void *mac_addr, int mac_len)
void | dhcpc_request (void)
void | dhcpc_appcall (void)
void | dhcpc_configured (const struct dhcpc_state *s)

## Define Documentation

#define BOOTP_BROADCAST 0x8000

#define DHCP_HLEN_ETHERNET 6

#define DHCP_HTYPE_ETHERNET 1

#define DHCP_MSG_LEN 236

#define DHCP_OPTION_DNS_SERVER 6

#define DHCP_OPTION_END 255

#define DHCP_OPTION_LEASE_TIME 51

#define DHCP_OPTION_MSG_TYPE 53

#define DHCP_OPTION_REQ_IPADDR 50

#define DHCP_OPTION_REQ_LIST 55

#define DHCP_OPTION_ROUTER 3

#define DHCP_OPTION_SERVER_ID 54

#define DHCP_OPTION_SUBNET_MASK 1

#define DHCP_REPLY 2

#define DHCP_REQUEST 1

#define DHCPACK 5

#define DHCPC_CLIENT_PORT 68

#define DHCPC_SERVER_PORT 67

#define DHCPDECLINE 4

#define DHCPDISCOVER 1

#define DHCPNAK 6

#define DHCPOFFER 2

#define DHCPRELEASE 7

#define DHCPREQUEST 3

## Typedef Documentation

typedef struct dhcpc_state uip_udp_appstate_t

## Function Documentation

void dhcpc_appcall | ( | void |  | ) |

void dhcpc_configured | ( | const struct dhcpc_state * | s | ) |

void dhcpc_init | ( | const void * | mac_addr,
|  | int | mac_len |
| ) |  |  |

void dhcpc_request | ( | void |  | ) |